As a security precaution, we have turned on the setting "Require API key authentication for API requests" for everyone. If this has broken something, please contact bugzilla-admin@mozilla.org
Last Comment Bug 753350 - crash in GLEngine@0xaa... with Flash 11.2.202.233
: crash in GLEngine@0xaa... with Flash 11.2.202.233
Status: RESOLVED FIXED
[qa-]
: crash, regression, reproducible, topcrash
Product: Core
Classification: Components
Component: Graphics (show other bugs)
: 15 Branch
: x86_64 Mac OS X
: -- critical (vote)
: mozilla15
Assigned To: Nobody; OK to take it and work on it
:
: Milan Sreckovic [:milan]
Mentors:
Depends on:
Blocks: 749678
  Show dependency treegraph
 
Reported: 2012-05-09 08:44 PDT by Andrew McCreight [:mccr8]
Modified: 2012-08-14 08:15 PDT (History)
8 users (show)
See Also:
Crash Signature:
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---
+
fixed


Attachments

Description User image Andrew McCreight [:mccr8] 2012-05-09 08:44:14 PDT
This bug was filed from the Socorro interface and is 
report bp-5b576f82-7fd6-4fd0-8821-d06492120509 .
============================================================= 
In Google Reader, I am subscribed to the "Official Gmail Blog".  Twice now, when I've clicked on the link to bring up the entries for the blog, then clicked on the latest entry, it has crashed immediately with this signature.  

https://crash-stats.mozilla.com/report/index/bp-5b576f82-7fd6-4fd0-8821-d06492120509
https://crash-stats.mozilla.com/report/index/bp-3d48dd46-cae8-4a9f-9d27-6e92d2120509
Comment 2 User image Andrew McCreight [:mccr8] 2012-05-09 11:02:12 PDT
I used the Amazon Cloud player yesterday, so this is probably a very recent regression.
Comment 3 User image Marcia Knous [:marcia - use ni] 2012-05-09 11:08:13 PDT
Andrew: I tried to repro on Amazon Cloud player and with Google Reader using Mozilla/5.0 (Macintosh; Intel Mac OS X 10.6; rv:15.0) Gecko/15.0 Firefox/15.0a1 but so far I have not luck reproducing. Wondering if maybe an extension is tickling the crash?
Comment 4 User image Andrew McCreight [:mccr8] 2012-05-09 11:13:58 PDT
Yeah, it turns out I can't reproduce on a clean profile either.  I'll try figuring out if it is an addon.
Comment 5 User image Andrew McCreight [:mccr8] 2012-05-09 11:25:52 PDT
I still get it without any extensions, in my main profile.  I tried enabling/disabling incremental GC but it didn't seem to matter.  If I disable Flash, then it loads up without crashing, but of course it doesn't actually play anything.
Comment 6 User image Andrew McCreight [:mccr8] 2012-05-09 11:26:53 PDT
I have Flash 11.2.202.233, which is apparently out of date.  I'll try upgrading it.
Comment 7 User image Andrew McCreight [:mccr8] 2012-05-09 11:37:56 PDT
Both that Google Reader entry and the Amazon Cloud player work just fine with Flash 11.2.202.235, so maybe this was some kind of Flash bug.
Comment 8 User image Marcia Knous [:marcia - use ni] 2012-05-09 11:50:53 PDT
Adding Sal from Adobe - would be interesting to know why that flash version is crashing in this instance. I was running with the latest version Version: 11.2.202.235 and that was likely why I was not able to reproduce the crash.
Comment 9 User image Andrew McCreight [:mccr8] 2012-05-09 11:52:53 PDT
I couldn't reproduce on a clean profile even with 233, so maybe my profile was just mangled in some odd way.
Comment 10 User image smadayag 2012-05-09 12:59:33 PDT
i'm glad it's working for you on a clean profile.  11,2,202,235 was a security update only.
Comment 11 User image Scoobidiver (away) 2012-05-09 23:46:56 PDT
It's hit by many users and is currently #3 top crasher in today's build.
The regression range is:
http://hg.mozilla.org/mozilla-central/pushloghtml?fromchange=1092c1a3ac50&tochange=dd29535bac5f
It might be a regression from bug 749678.

More reports at:
https://crash-stats.mozilla.com/report/list?signature=GLEngine%400xaaf9d
https://crash-stats.mozilla.com/report/list?signature=GLEngine%400xaa5ba
Comment 12 User image Josh Matthews [:jdm] 2012-05-10 15:19:00 PDT
I can reproduce this consistently in my daily profile by visiting http://blog.mozilla.org/about_mozilla/2012/05/08/tracking-the-trackers-become-a-mobile-test-driver-and-more/ and clicking on the "teaser reel" link.
Comment 13 User image Josh Matthews [:jdm] 2012-05-12 14:39:44 PDT
I can also reproduce it consistently by opening http://udp.github.com in a new tab.
Comment 14 User image Benoit Jacob [:bjacob] (mostly away) 2012-05-12 16:30:11 PDT
Indeed, there is clearly a regression with plugins using OpenGL, which means in particular Flash on Mac OSX, from bug 749678.

I just backed it out on inbound:
http://hg.mozilla.org/integration/mozilla-inbound/rev/3e0f7b9a39d7

With this commit message:

Unfortunately, in-process plugins using OpenGL break the assumption made by these patches, that the current GL context is only changed by GLContext::MakeCurrent. Another issue, regardless of in-process, is that our host-side code in nsCoreAnimationSupport.mm uses direct CGL calls, bypassing GLContext.
Comment 15 User image Scoobidiver (away) 2012-06-06 02:44:31 PDT
There are no crashes after 15.0a1/20120513. It's fixed by the backout of bug 749678.

Note You need to log in before you can comment on or make changes to this bug.